const _Http = getApp().globalData.http,
    getHeight = require("../../../../utils/getRheRemainingHeight");

Page({
    data: {
        content: null
    },
    onLoad(options) {
        this.setData({
            content: JSON.parse(options.data)
        });
        this.getList(true);
    },
    /* 获取地址列表 */
    getList(init) {
        if (init.detail != undefined) init = init.detail;
        let content = this.data.content;
        if (init) content.pageNumber = 1
        if (content.pageNumber > content.pageTotal) return;
        _Http.basic({
            "id": "20221027143702",
            content
        }).then(res => {
            console.log("关联客户列表", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.getTags(res.data.map(v => v.sa_customersid));
            this.setData({
                list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                "content.pageNumber": res.pageNumber + 1,
                "content.pageSize": res.pageSize,
                "content.pageTotal": res.pageTotal,
                "content.total": res.total
            })
        })
    },

    /* 开始搜索 */
    startSearch({
        detail
    }) {
        if (detail == this.data.content.where.condition) return;
        this.setData({
            'content.where.condition': detail
        });
        this.getList(true);
    },
    /* 取消搜索 */
    onClear() {
        this.setData({
            'content.where.condition': ""
        });
        this.getList(true);
    },
    /* 获取列表标签 */
    getTags(ownerids = []) {
        _Http.basic({
            "id": 20221018102001,
            "content": {
                "ownertable": "sa_customers",
                ownerids
            }
        }).then(res => {
            console.log("标签", res)
            let list = this.data.list;
            for (let key in res.data) {
                let index = list.findIndex(v => v.sa_customersid == key);
                list[index].tags = res.data[key]
            };
            this.setData({
                list
            })
        })
    },
    onReady() {
        getHeight.getHeight('.search', this).then(res => this.setData({
            listHeight: res
        }));
    },
})